<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- pkgconfig-probe.qdoc -->
  <title>PkgConfigProbe QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">PkgConfigProbe QML Type</h1>
<span class="subtitle"></span>
<!-- $$$PkgConfigProbe-brief -->
<p>Retrieves the information about installed packages using the pkg-config binary. <a href="#details">More...</a></p>
<!-- @@@PkgConfigProbe -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import  </td></tr></table></div><ul>
<li><a href="qml-pkgconfigprobe-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-pkgconfigprobe.html#compilerFlags-prop">compilerFlags</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-pkgconfigprobe.html#defines-prop">defines</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-pkgconfigprobe.html#exactVersion-prop">exactVersion</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-pkgconfigprobe.html#executable-prop">executable</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-pkgconfigprobe.html#forStaticBuild-prop">forStaticBuild</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-pkgconfigprobe.html#includePaths-prop">includePaths</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-pkgconfigprobe.html#libDirs-prop">libDirs</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-pkgconfigprobe.html#libraries-prop">libraries</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-pkgconfigprobe.html#libraryPaths-prop">libraryPaths</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-pkgconfigprobe.html#linkerFlags-prop">linkerFlags</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-pkgconfigprobe.html#maxVersion-prop">maxVersion</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-pkgconfigprobe.html#minVersion-prop">minVersion</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-pkgconfigprobe.html#modversion-prop">modversion</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-pkgconfigprobe.html#name-prop">name</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-pkgconfigprobe.html#packageNames-prop">packageNames</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-pkgconfigprobe.html#sysroot-prop">sysroot</a></b></b> : string</li>
</ul>
<!-- $$$PkgConfigProbe-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>This probe takes the package name or the list of package names as input and returns the information that is required to compile and link using those packages.</p>
<p>Usually, you can simply use a Depends item as described in <a href="howtos.html#how-do-i-build-against-libraries-that-provide-pkg-config-files">How do I build against libraries that provide pkg-config files?</a>.</p>
<p>Alternatively, the probe can be used directly as follows:</p>
<pre class="cpp">

  CppApplication {
      name: project<span class="operator">.</span>name
      Probes<span class="operator">.</span>PkgConfigProbe {
          id: pkgConfig
          name: <span class="string">&quot;QtCore&quot;</span>
          minVersion: <span class="char">'4.0.0'</span>
          maxVersion: <span class="char">'5.99.99'</span>
      }
      files: <span class="char">'main.cpp'</span>
      cpp<span class="operator">.</span>cxxFlags: pkgConfig<span class="operator">.</span>cflags
      cpp<span class="operator">.</span>linkerFlags: pkgConfig<span class="operator">.</span>libs
  }

</pre>
<!-- @@@PkgConfigProbe -->
<h2>Property Documentation</h2>
<!-- $$$compilerFlags -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="compilerFlags-prop">
<td class="tblQmlPropNode"><p>
<span class="name">compilerFlags</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>This output property contains the list of flags that should be passed to a compiler when using requested package.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@compilerFlags -->
<br/>
<!-- $$$defines -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="defines-prop">
<td class="tblQmlPropNode"><p>
<span class="name">defines</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>This output property contains the list of defines that should be passed to a compiler when using requested package.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@defines -->
<br/>
<!-- $$$exactVersion -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="exactVersion-prop">
<td class="tblQmlPropNode"><p>
<span class="name">exactVersion</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The exact version of the required package. If set, pkg-config will ignore packages with version greater than the value of this property.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@exactVersion -->
<br/>
<!-- $$$executable -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="executable-prop">
<td class="tblQmlPropNode"><p>
<span class="name">executable</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The name of or the path to the pkg-config executable.</p>
<p>Default: &quot;pkg-config&quot;</p>
</div></div><!-- @@@executable -->
<br/>
<!-- $$$forStaticBuild -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="forStaticBuild-prop">
<td class="tblQmlPropNode"><p>
<span class="name">forStaticBuild</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>If <code>true</code>, pkg-config will return linker flags for a static linking instead of dynamic.</p>
<p>Default: <code>false</code></p>
</div></div><!-- @@@forStaticBuild -->
<br/>
<!-- $$$includePaths -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="includePaths-prop">
<td class="tblQmlPropNode"><p>
<span class="name">includePaths</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>This output property contains the list of include paths that should be passed to a compiler when using requested package.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@includePaths -->
<br/>
<!-- $$$libDirs -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="libDirs-prop">
<td class="tblQmlPropNode"><p>
<span class="name">libDirs</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>List of full, non-sysrooted paths where pkg-config should search for .pc files. This overrides the built-in path (which is usually /usr/lib/pkgconfig).</p>
<p>This property sets the value of the <code>PKG_CONFIG_LIBDIR</code> environment variable passed to the <code>pkg-config</code> binary.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@libDirs -->
<br/>
<!-- $$$libraries -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="libraries-prop">
<td class="tblQmlPropNode"><p>
<span class="name">libraries</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>This output property contains the list of library names that should be passed to a linker when using requested package.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@libraries -->
<br/>
<!-- $$$libraryPaths -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="libraryPaths-prop">
<td class="tblQmlPropNode"><p>
<span class="name">libraryPaths</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>This output property contains the list of library paths that should be passed to a linker when using requested package.</p>
<p>This property sets the value of the PKG_CONFIG_LIBDIR environment variable passed to the <code>pkg-config</code> binary.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@libraryPaths -->
<br/>
<!-- $$$linkerFlags -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="linkerFlags-prop">
<td class="tblQmlPropNode"><p>
<span class="name">linkerFlags</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>This output property contains the list of flags that should be passed to a linker when using requested package.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@linkerFlags -->
<br/>
<!-- $$$maxVersion -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="maxVersion-prop">
<td class="tblQmlPropNode"><p>
<span class="name">maxVersion</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The maximum version of the required package. If set, pkg-config will ignore packages with version that is not equal to the value of this property.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@maxVersion -->
<br/>
<!-- $$$minVersion -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="minVersion-prop">
<td class="tblQmlPropNode"><p>
<span class="name">minVersion</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The minimum version of the required package. If set, pkg-config will ignore packages with version less than the value of this property.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@minVersion -->
<br/>
<!-- $$$modversion -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="modversion-prop">
<td class="tblQmlPropNode"><p>
<span class="name">modversion</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>This output property contains the version of the found package.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@modversion -->
<br/>
<!-- $$$name -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="name-prop">
<td class="tblQmlPropNode"><p>
<span class="name">name</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The name this probe. This property is used as <a href="qml-pkgconfigprobe.html#packageNames-prop">PkgConfigProbe.packageNames</a> value by default.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@name -->
<br/>
<!-- $$$packageNames -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="packageNames-prop">
<td class="tblQmlPropNode"><p>
<span class="name">packageNames</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The list of package names to pass to the pkg-config executable. For each package, pkg-config will return the information required to compile and link to this package.</p>
<p>Default: [<a href="qml-pkgconfigprobe.html#name-prop">PkgConfigProbe.name</a>]</p>
</div></div><!-- @@@packageNames -->
<br/>
<!-- $$$sysroot -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="sysroot-prop">
<td class="tblQmlPropNode"><p>
<span class="name">sysroot</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>This property sets the value of the <code>PKG_CONFIG_SYSROOT_DIR</code> environment variable passed to the <code>pkg-config</code> binary. This variable modifies -I and -L flags to use the directories located in target sysroot.</p>
<p>This property is useful when cross-compiling packages that use <code>pkg-config</code> to determine CFLAGS and LDFLAGS. For example, if <code>sysroot</code> is set to <code>/var/target</code>, a <code>-I/usr/include/libfoo</code> will become <code>-I/var/target/usr/include/libfoo</code>.</p>
<p>Default: <code>qbs.sysroot</code></p>
</div></div><!-- @@@sysroot -->
<br/>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
